Bug 507673 - "BUG: MAX_STACK_TRACE_ENTRIES too low!" warning during kvm host startup
"BUG: MAX_STACK_TRACE_ENTRIES too low!" warning during kvm host startup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-23 13:42 EDT by Saikat Guha
Modified: 2010-12-05 01:48 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:48:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Saikat Guha 2009-06-23 13:42:41 EDT
With kernel-2.6.31-0.24.rc0.git18.fc12.x86_64

BUG: MAX_STACK_TRACE_ENTRIES too low!
turning off the locking correctness validator.
Pid: 1333, comm: S24avahi-daemon Not tainted 2.6.31-0.24.rc0.git18.fc12.x86_64 #1
Call Trace:
 <IRQ>  [<ffffffff81092ac8>] save_trace+0x9d/0xba
 [<ffffffff8109376c>] mark_lock+0xd6/0x253
 [<ffffffff81094b03>] __lock_acquire+0x275/0xc17
 [<ffffffff8107c91e>] ? __kernel_text_address+0x86/0x98
 [<ffffffff81095593>] lock_acquire+0xee/0x12e
 [<ffffffff8127f4cd>] ? get_hash_bucket+0x3b/0x5d
 [<ffffffff8127f4cd>] ? get_hash_bucket+0x3b/0x5d
 [<ffffffff814eeaa2>] _spin_lock_irqsave+0x5d/0xab
 [<ffffffff8127f4cd>] ? get_hash_bucket+0x3b/0x5d
 [<ffffffff8127f4cd>] get_hash_bucket+0x3b/0x5d
 [<ffffffff81280a4e>] add_dma_entry+0x26/0x62
 [<ffffffff81280e33>] debug_dma_map_page+0xf3/0x116
 [<ffffffff8142dc26>] skb_dma_map+0xf4/0x242
 [<ffffffffa0032f3b>] tg3_start_xmit_dma_bug+0x34b/0x80e [tg3]
 [<ffffffff81432cf0>] dev_hard_start_xmit+0x24d/0x30c
 [<ffffffff814492e6>] ? __qdisc_run+0xe6/0x231
 [<ffffffff8144930a>] __qdisc_run+0x10a/0x231
 [<ffffffff81433158>] dev_queue_xmit+0x263/0x396
 [<ffffffff81433074>] ? dev_queue_xmit+0x17f/0x396
 [<ffffffff8106a4a8>] ? local_bh_enable_ip+0x21/0x37
 [<ffffffff8143c403>] neigh_resolve_output+0x268/0x2af
 [<ffffffff8146c51c>] ? ip_finish_output+0x0/0x98
 [<ffffffff8146c4d7>] ip_finish_output2+0x1f3/0x238
 [<ffffffff8146c59e>] ip_finish_output+0x82/0x98
 [<ffffffff8146c935>] ip_output+0xb3/0xce
 [<ffffffff8146b047>] dst_output+0x23/0x39
 [<ffffffff8146ca29>] ip_local_out+0x32/0x4d
 [<ffffffff814986bc>] igmpv3_sendpack+0x50/0x6c
 [<ffffffff8149acdd>] igmp_ifc_timer_expire+0x269/0x2b8
 [<ffffffff8149aa74>] ? igmp_ifc_timer_expire+0x0/0x2b8
 [<ffffffff81070179>] run_timer_softirq+0x1f7/0x29e
 [<ffffffff810700e8>] ? run_timer_softirq+0x166/0x29e
 [<ffffffff8101a205>] ? read_tsc+0x9/0x1b
 [<ffffffff8108971a>] ? clocksource_read+0x22/0x38
 [<ffffffff8106a6c5>] __do_softirq+0xf6/0x1f0
 [<ffffffff8101422c>] call_softirq+0x1c/0x30
 [<ffffffff81015d77>] do_softirq+0x5f/0xd7
 [<ffffffff81069fdc>] irq_exit+0x66/0xbc
 [<ffffffff8102c180>] smp_apic_timer_interrupt+0x99/0xbf
 [<ffffffff81013bf3>] apic_timer_interrupt+0x13/0x20
 <EOI>  [<ffffffff81093ce5>] ? debug_check_no_locks_freed+0x6/0x16a
 [<ffffffff8127809e>] ? __spin_lock_init+0x2e/0x7c
 [<ffffffff8106029c>] ? mm_init+0xd6/0x1a9
 [<ffffffff81060968>] ? dup_mm+0x8a/0x3ea
 [<ffffffff814ee5cb>] ? _spin_unlock_irq+0x3f/0x61
 [<ffffffff81061973>] ? copy_process+0xc44/0x148c
 [<ffffffff8106232e>] ? do_fork+0x173/0x37a
 [<ffffffff81093c6d>] ? trace_hardirqs_on_caller+0x139/0x175
 [<ffffffff81093cc9>] ? trace_hardirqs_on+0x20/0x36
 [<ffffffff81012f7a>] ? sysret_check+0x2e/0x69
 [<ffffffff810114d2>] ? sys_clone+0x3b/0x51
 [<ffffffff814edfde>] ? trace_hardirqs_on_thunk+0x3a/0x3f
 [<ffffffff81013373>] ? stub_clone+0x13/0x20
 [<ffffffff81012f42>] ? system_call_fastpath+0x16/0x1b
Comment 1 Jesse Brandeburg 2009-07-06 19:33:14 EDT
me too, but slightly different trace...
microcode: CPU1 sig=0x10676, pf=0x80, revision=0x60c
platform microcode: firmware: requesting intel-ucode/06-17-06
Microcode Update Driver: v2.00 <tigran@aivazian.fsnet.co.uk>, Peter Oruba
BUG: MAX_STACK_TRACE_ENTRIES too low!
turning off the locking correctness validator.
Pid: 1013, comm: hd-audio0 Not tainted 2.6.31-0.42.rc2.fc12.x86_64 #1
Call Trace:
 [<ffffffff81092b2c>] save_trace+0x9d/0xba
 [<ffffffff81092bd3>] add_lock_to_list+0x8a/0xe5
 [<ffffffff81095374>] __lock_acquire+0xa82/0xc17
 [<ffffffff81070492>] ? lock_timer_base+0x3f/0x7d
 [<ffffffff814f16b6>] ? trace_hardirqs_on_thunk+0x3a/0x3f
 [<ffffffff810955f7>] lock_acquire+0xee/0x12e
 [<ffffffff81070492>] ? lock_timer_base+0x3f/0x7d
 [<ffffffff81070492>] ? lock_timer_base+0x3f/0x7d
 [<ffffffff814f217a>] _spin_lock_irqsave+0x5d/0xab
 [<ffffffff81070492>] ? lock_timer_base+0x3f/0x7d
 [<ffffffff81070492>] lock_timer_base+0x3f/0x7d
 [<ffffffff81070e6b>] __mod_timer+0x4d/0x13b
 [<ffffffff814efab5>] schedule_timeout+0xb3/0xf8
 [<ffffffff810705d6>] ? process_timeout+0x0/0x37
 [<ffffffff814efb2b>] schedule_timeout_uninterruptible+0x31/0x47
 [<ffffffff81070f87>] msleep+0x2e/0x49
 [<ffffffffa02783ea>] hda_set_power_state+0x4d/0x166 [snd_hda_codec]
 [<ffffffffa027aa64>] ? hda_power_work+0x0/0x76 [snd_hda_codec]
 [<ffffffffa027a9c3>] hda_call_codec_suspend+0x4f/0x7d [snd_hda_codec]
 [<ffffffffa027aab1>] hda_power_work+0x4d/0x76 [snd_hda_codec]
 [<ffffffffa027aa64>] ? hda_power_work+0x0/0x76 [snd_hda_codec]
 [<ffffffff81079623>] worker_thread+0x222/0x33e
 [<ffffffff810795ce>] ? worker_thread+0x1cd/0x33e
 [<ffffffff814ef517>] ? thread_return+0x4e/0xd3
 [<ffffffff8107f617>] ? autoremove_wake_function+0x0/0x5f
 [<ffffffff81079401>] ? worker_thread+0x0/0x33e
 [<ffffffff8107f1c9>] kthread+0xa5/0xad
 [<ffffffff8101412a>] child_rip+0xa/0x20
 [<ffffffff81013a90>] ? restore_args+0x0/0x30
 [<ffffffff8107f124>] ? kthread+0x0/0xad
 [<ffffffff81014120>] ? child_rip+0x0/0x20
Microcode Update Driver: v2.00 removed.
NET: Registered protocol family 10
lo: Disabled Privacy Extensions
ip6_tables: (C) 2000-2006 Netfilter Core Team
ALSA sound/pci/hda/hda_intel.c:651: azx_get_response timeout, switching to polling mode: last cmd=0x016f000c
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
e1000e 0000:00:19.0: irq 30 for MSI/MSI-X
e1000e 0000:00:19.0: irq 30 for MSI/MSI-X
ADDRCONF(NETDEV_UP): eth0: link is not ready
e1000e: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX/TX
Comment 2 Dave Jones 2009-07-10 14:01:37 EDT
kernel-2.6.31-0.62.rc2.git5.fc12 fix up one exceptionally dumb case where we ended up wasting stack trace entries.  Try that, and if it still reproduces, please attach the contents of your /proc/lockdep file.

thanks.
Comment 3 Bug Zapper 2009-11-16 05:22:17 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-11-04 07:00:30 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-05 01:48:40 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.